24. November 2017, 23:22:49
SMFPortal.de

Autor Thema: HTTPS  (Gelesen 1402 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

23. Januar 2017, 19:29:13
Gelesen 1402 mal

M50Freak


Hallo Leute

Hab im WWW gelesen das unsere Interentexplorer alle Seiten die nicht via HTTPS verschlüsselt sind bald "verweigern" um darzustellen.

Da ich mein SMF Forum ganz normal gehostet habe: Wie kann ich das auf HTTPS umstricken? Ist dies überhaupst möglich?


Mein Forum: www.mofaforum.at


Gruß
Norbert

24. Januar 2017, 12:10:56
Antwort #1

Parmaster

Administration
Bietet dein Hoster das überhaupt an? Wenn ja, brauchst du ein Zertifikat (lass es dann gleich Hoster installieren), welches dann auf deine Domain zeigt usw.

Anschließend die URLs vom Forum ändern, fertig.
Eine digitale Welt zur Neugestaltung des menschlichen Daseins

24. Januar 2017, 21:07:25
Antwort #2

M50Freak


Hallo

Habe gestern Abend auch beim Hoster Angefragt.

SSL Zertifikat kostet 4,1 je Monat plus einmalige Einrichtungsgebühr von 49EUro.
Einrichtung erfolgt durch den Hoster. Wäre somit alles kein Problem :D  -> Da muss ich meine Sponsoren wider anpumpen gg:D


So ab wann wird SSL den nun Pflicht? Oder ab wann ist dies als Sinnvoll anzusehen?

Ich vermute mal bis Ende 2017 wird es sicherlich keine großen Probleme ohne SLL geben....wies später aussieht ist fraglich.

Danke erstmals für deine ANtwort.

Gruß
Norbert


02. Februar 2017, 08:09:20
Antwort #3

M50Freak


Hallo

Habe nun SSL vom Hoster erhalten.

Gibt es die möglichkeit das Forum nun komplet auf HTTPS umzustellen?

Bilder von 3 anbieter bleiben ja weiterhin HTTP (also gemischte anzeige ) auser man würd die nun über nen Proxi laden ???


Der Support vom Hoster meinte:

Im Admin-Bereich Ihres Forums gibt es wahrscheinlich eine Möglichkeit zur Aktivierung von HTTPS. Falls dies nicht der Fall sein sollte, so können wir Ihnen gerne dabei behilflich sein und die Weiterleitung auf HTTPS per RewriteRules in der .htaccess erzwingen.


Danke
Norbert

02. Februar 2017, 17:43:35
Antwort #4

Parmaster

Administration
Ja, die gibt es. Hab ich schon in der ersten Antwort gegeben.  ;)

Probiere es zunächst mit dem hier:
einfach in die .htaccess rein
Code
RewriteEngine On
RewriteCond %{HTTPS} !=on
RewriteRule ^ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]

und danach mit der repair_settings die Pfade ändern lassen.

Falls das nicht geht, bleibt dir nichts anderes übrig, als alle Links zum Forum händisch zu ändern.
Eine digitale Welt zur Neugestaltung des menschlichen Daseins

02. Februar 2017, 18:11:31
Antwort #5

M50Freak


Hallo

.htaccess hat mir der Hoster noch eingestellt.

Aktuell sieht der Explorer das Forum als Sicher an. Bilder werden jedoch noch von einen HTTP Hoster geholt und das führt zu einen "Mischbetrieb"

Gibt es hierzu einen Proxy Mod?

Repair settings: -> Aktuell laufen sehr viele Generel Fehler im Protokoll auf. Ich mache soeben eine Datensicherrung vom Forum und würde anschliesend mit der Repair settings drüber bügeln.....


Danke

02. Februar 2017, 18:44:13
Antwort #6

M50Freak


Hy

Also ich brauch noch mals Hilfe :D


Repair Settings hab ich durchgeführt .... hab die  links auf https abgeändert. Ok Forum läuft...

Aber ich bekomme immer noch komische "Fehlermeldungen im Protokoll"


Filter hinzufügen: Nur Fehlermeldungen dieser URL anzeigen

8192: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead
Filter hinzufügen: Nur Fehler von dieser Datei zeigen
Datei: /+++++++++blabla++++++++++++/Sources/Load.php(183) : runtime-created function

02. Februar 2017, 19:40:52
Antwort #7

wildcat

Gast
Dein Forum läuft mit SMF 2.0.13 ? Wenn nicht upgraden  ;)
Ansonsten kann das auch eine alte Modification sein ...
Die PHP Funktion preg_replace mit der option /e ist veralted und sollte nicht mehr verwendet werden.
« Letzte Änderung: 02. Februar 2017, 19:43:32 von Feline »

02. Februar 2017, 20:54:06
Antwort #8

M50Freak


2.0.13 läuft seit heute 16 uhr.
#
preg_replace ? ja das mein problem?

gruß

03. Februar 2017, 10:17:04
Antwort #9

Parmaster

Administration
Ja, wie Feline bereits gesagt hat:

wenn das Forum mit bereits mit 2.0.13 läuft, und die Fehlermeldung immer noch kommt, ist es eine Mod die diesen Fehler verursacht.
Jetzt liegt es an dir diese alle nachzuschauen. Die Zahl in der Klammer zeigt dir ja die Zeilennummer an, dort hat die Mod das eingefügt. Dann siehst du ja auch welche das ist. Dann entweder schauen ob es eine neue Version gibt, oder selbst Hand anlegen.
Eine digitale Welt zur Neugestaltung des menschlichen Daseins

03. Februar 2017, 21:04:08
Antwort #10

M50Freak


Hy

Hab das mal Rausgesucht und hier im Anhang hinzugefügt.

Leider überschreitet das hier mein Wissen um den Fehler zu lokalisiern.

Danke


Gruß
Norbert

04. Februar 2017, 13:46:11
Antwort #11

Parmaster

Administration
Schreib mal auf welche Mods du benutzt und hänge alle Dateien, in welchen der Fehler vorkommt, hier an.

Nur mit den Ausschnitten kann man nichts anfangen (ich zumindest nicht).
Eine digitale Welt zur Neugestaltung des menschlichen Daseins

04. Februar 2017, 16:13:51
Antwort #12

M50Freak


Mods siehe Anhang.

Ich such mal alles zusammen.

Gruß

04. Februar 2017, 16:39:26
Antwort #13

M50Freak


Hy

Hab das Problem wohl auf "Glück" lösen können. Habe gelesen das das ganze im Zusammenhang mit der PHP Version Server Seitig zu tun haben könnte.

Ich habe vor paar Tagen auf PHP 5.0.5 oder so umgestellt. Seit dem her die Fehler. Habe nun die Letzte 5.2.x PHP aktiviert und der Fehler ist weg:D


Warum auch immer xD

04. Februar 2017, 16:54:25
Antwort #14

Parmaster

Administration
PHP 5.2.x? Echt? Das gibt's gar nicht mehr. Wechsel auf 5.5.x mindestens.
Eine digitale Welt zur Neugestaltung des menschlichen Daseins

04. Februar 2017, 17:26:11
Antwort #15

M50Freak


Akteull hab ich wider 5.2.x aktiviert.

Hab folgende zur Auswahl, die Frage ist aber was macht das PHP  für mich :D

Gehe ich auf eine höhere php Version kommt es zu Fehlermeldungen im Protokoll.

Gruß

04. Februar 2017, 18:45:55
Antwort #16

Parmaster

Administration
.... die Frage ist aber was macht das PHP  für mich :D

Verstehe die Frage nicht. Was soll es denn machen?

Bei mir wird alles unter 5.5.x demnächst abgeschaltet, da der Support schon lange vorbei ist.

Welche Fehlermeldungen? Bei mir kommt nichts.
Eine digitale Welt zur Neugestaltung des menschlichen Daseins

04. Februar 2017, 19:30:10
Antwort #17

M50Freak


Hy

Also ich hab ja einige PHP-Versionen zur Auswahl.


Im Fehlerprotokoll vom Forum kommt bei Verwendung von PHP 5.2.x keine Fehlermeldungen.

Bei Höherer VERSION die ich vorher hier hochgeladen hatte.

Gruß

05. Februar 2017, 11:45:38
Antwort #18

wildcat

Gast
Auch nicht ganz korrekt .. letzte noch unterstütze PHP Version ist 5.6 ..  ;)
Dann kommt nur noch PHP 7.0 und PHP 7.1 ...

Und ich kann mit Sicherheit sagen das SMF 2.0.13 mit PHP 5.6 fehlerfrei läuft, ebenso wie unser Portal ..

Du solltest zunächst mal überprüfen ob deine Modifikationen alle auf aktuellem Stand sind ...
« Letzte Änderung: 05. Februar 2017, 11:56:35 von Feline »

 

Internes

Nutzungsbedingungen Impressum

Wissenswertes

Hilfe Knowledge Base

Nützliches

Downloads Kleinanzeigen Socialmedia